<?php

namespace Drupal\laravel_http_client\Service;

use Illuminate\Http\Client\Factory;
use Illuminate\Support\Facades\Http as HttpFacade;

/**
 * Extend Http Facade for Drupal integration.
 */
class Http extends HttpFacade {

  /**
   * {@inheritdoc}
   */
  public static function __callStatic($method, $args) {
    $instance = static::getFacadeRoot();
    if (!$instance) {
      self::swap(new Factory());
    }
    return parent::__callStatic($method, $args);
  }

}
